/*
 * Copyright 2021 The Apache Software Foundation.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.apache.tomee.vestige.launcher;

import java.io.Serializable;
import java.util.List;

import org.apache.tomee.vear.Mode;
import org.apache.tomee.vear.Scope;

/**
 * @author Gael Lalire
 */
public class WarAttachDependencies implements Serializable {

    private static final long serialVersionUID = -6902009042272061638L;

    private Mode mode;

    private Scope scope;

    private boolean excludeJarsFromTomcatLoader;

    private List<WarAttachDependenciesExcludeWithParents> attachDependenciesExcludeWithParents;

    public WarAttachDependencies(final Mode mode, final Scope scope, final List<WarAttachDependenciesExcludeWithParents> attachDependenciesExcludeWithParents,
            final boolean excludeJarsFromTomcatLoader) {
        this.mode = mode;
        this.scope = scope;
        this.attachDependenciesExcludeWithParents = attachDependenciesExcludeWithParents;
        this.excludeJarsFromTomcatLoader = excludeJarsFromTomcatLoader;
    }

    public Mode getMode() {
        return mode;
    }

    public Scope getScope() {
        return scope;
    }

    public List<WarAttachDependenciesExcludeWithParents> getAttachDependenciesExcludeWithParents() {
        return attachDependenciesExcludeWithParents;
    }

    public boolean isExcludeJarsFromTomcatLoader() {
        return excludeJarsFromTomcatLoader;
    }

}
